Pular para o conteúdo principal
Update an offloader wallet
curl --request PATCH \
  --url https://api.spherepay.co/v2/offloader-wallet/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "destination": {
    "bankAccountId": "bankAccount_6221e8d4299f4a889bd882255e92f581",
    "achReference": "REF456"
  }
}
'
{
  "id": "wallet_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
  "customerId": "customer_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
  "address": "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97",
  "currency": "usdc",
  "network": "ethereum",
  "destination": {
    "bankAccountId": "bankAccount_6221e8d4299f4a889bd882255e92f581",
    "currency": "usd",
    "network": "ach",
    "achReference": "REF456"
  },
  "fees": {
    "integratorFee": {
      "bpsRate": "100",
      "currency": "usdc"
    },
    "platformFee": {
      "bpsRate": "30",
      "currency": "usdc"
    }
  },
  "returnAddress": "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97",
  "created": "2024-06-15T10:30:00.000Z",
  "updated": "2024-06-15T14:00:00.000Z"
}
Atualize campos mutáveis de uma Offloader Wallet existente. Você pode alterar o destino da conta bancária (incluindo o rail de pagamento e a referência), ajustar a taxa de integrador ou atualizar o endereço de devolução para transações com falha. O endereço on-chain e a rede são imutáveis após a criação.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de caminho

id
string
obrigatório

Corpo

application/json
destination
object
obrigatório

The bank account destination where converted funds are sent.

Exemplo:
{
"bankAccountId": "bankAccount_6221e8d4299f4a889bd882255e92f581",
"achReference": "REF456"
}
integratorBpsFeeRate
string

Integrator fee override in basis points (0-1000). Send "0" to remove the integrator fee.

Exemplo:

"75"

returnAddress
string

Crypto address where funds are returned on failed transactions. Must be valid for the wallet network.

Exemplo:

"0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97"

Resposta

id
string
obrigatório

Unique identifier for the offloader wallet.

Exemplo:

"wallet_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"

customerId
string
obrigatório

The customer who owns the offloader wallet.

Exemplo:

"customer_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"

address
string
obrigatório

The on-chain deposit address for the offloader wallet. Send crypto to this address to trigger automatic conversion.

Exemplo:

"0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97"

currency
enum<string>
obrigatório

The crypto currency the offloader wallet accepts for deposits. See Supported Rails & Currencies.

Opções disponíveis:
usdc,
usdt,
eurc
Exemplo:

"usdc"

network
enum<string>
obrigatório

The blockchain network the offloader wallet is on. See Supported Rails & Currencies.

Opções disponíveis:
sol,
ethereum,
arbitrum,
polygon,
base,
avalanche,
tron
Exemplo:

"ethereum"

destination
ACH · object
obrigatório

The bank account destination where converted funds are sent. See Bank Accounts guide.

Exemplo:
{
"bankAccountId": "bankAccount_6221e8d4299f4a889bd882255e92f581",
"currency": "usd",
"network": "ach",
"achReference": "REF123"
}
fees
object
obrigatório

Fee configuration for the offloader wallet, including integrator and platform fees.

Exemplo:
{
"integratorFee": { "bpsRate": "100", "currency": "usdc" },
"platformFee": { "bpsRate": "30", "currency": "usdc" }
}
created
string
obrigatório

Timestamp when the offloader wallet was created (ISO 8601).

Exemplo:

"2024-06-15T10:30:00.000Z"

updated
string
obrigatório

Timestamp when the offloader wallet was last updated (ISO 8601).

Exemplo:

"2024-06-15T12:00:00.000Z"

returnAddress
string

Crypto address where funds are returned on failed transactions. Must be valid for the wallet network. Null if not configured.

Exemplo:

"0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97"

Última modificação em 18 de junho de 2026